using Nest;
using System.Collections.Generic;
using System.Threading.Tasks;
using XYY.Data.Model.Standard.Tracking;

namespace XYY.Service.Standard.First.DB
{
    public interface IFirstDB
    {
        Task<bool> DeleteAndUpdate(List<Logistics_TraceGroup> UpdateTraceGroups);
        Task<bool> InsertAndUpdate(List<Logistics_TraceGroup> UpdateTraceGroups2);
    }
    public interface IFirstDB2
    {
        Task<bool> InsertAndUpdate(List<Logistics_TraceGroup> UpdateTraceGroups);
        Task<IDeleteResponse> DeleteAsync(string TrackingNumber);
        Task<bool> DeleteAndUpdate(List<Logistics_TraceGroup> UpdateTraceGroups);
    }
}
